Skip to Content

Create a Mail split

Saves a named query, recipient address, or VIP sender list for the signed-in reader. Requires a person signed in through Mail or the CLI.

POST
/v1/mailboxes/splits

Saves a named query, recipient address, or VIP sender list for the signed-in reader. Requires a person signed in through Mail or the CLI.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
name*string
Length1 <= length <= 100
filter*||
mailboxId*|null
position*integer
Range-9007199254740991 <= value <= 9007199254740991

Response Body

Success

application/json
  1. response
id*string
name*string
Length1 <= length <= 100
filter*||
mailboxId*|null
position*integer
Range-9007199254740991 <= value <= 9007199254740991
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.createSplit({
  "name": "example",
  "filter": {
    "kind": "query",
    "query": "example"
  },
  "mailboxId": "example",
  "position": -9007199254740991
});
Example Response
{
  "id": "string",
  "name": "string",
  "filter": {
    "kind": "query",
    "query": "string"
  },
  "mailboxId": "string",
  "position": -9007199254740991
}

Related documentation